# collada.polylist.Polygon

class collada.polylist.Polygon(indices, vertices, normal_indices, normals, texcoord_indices, texcoords, material)

  Single polygon representation. Represents a polygon of N points.

  __init__(indices, vertices, normal_indices, normals, texcoord_indices, texcoords, material)

    A Polygon should not be created manually.

  Methods

  `__init__`(indices, vertices, normal_indices, ...) | A Polygon should not be created manually.
  `triangles`() | This triangulates the polygon using a simple fanning method.

  Attributes

  `vertices` | A (N, 3) float array containing the points in the polygon.
  `normals` | A (N, 3) float array with the normals for points in the polygon.
  `texcoords` | A tuple where entries are numpy float arrays of size (N, 2) containing the texture coordinates for the points in the polygon for each texture coordinate set.
  `material` | If coming from an unbound `collada.polylist.Polylist`, contains a string with the material symbol.
  `indices` | A (N,) int array containing the indices for the vertices of the N points in the polygon.
  `normal_indices` | A (N,) int array containing the indices for the normals of the N points in the polygon
  `texcoord_indices` | A (N,2) int array with texture coordinate indexes for the texcoords of the N points in the polygon